Skip to main content
GET
/
api
/
files
List stored files
curl --request GET \
  --url https://convertly.sh/api/files \
  --header 'Authorization: Bearer <token>'
{
  "files": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "mime_type": "<string>",
      "size_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "downloadUrl": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key.

Query Parameters

folderId
string<uuid>
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

List of stored files

files
object[]
required
total
integer
required